Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network135.2.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
135.2.0.0
Broadcast address
135.2.63.255
First usable
135.2.0.1
Last usable
135.2.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex 87020000 · Integer 2265055232 to 2265071615
Reverse DNS zones
0.2.135.in-addr.arpa
1.2.135.in-addr.arpa
2.2.135.in-addr.arpa
3.2.135.in-addr.arpa
4.2.135.in-addr.arpa
5.2.135.in-addr.arpa
6.2.135.in-addr.arpa
7.2.135.in-addr.arpa
8.2.135.in-addr.arpa
9.2.135.in-addr.arpa
10.2.135.in-addr.arpa
11.2.135.in-addr.arpa
12.2.135.in-addr.arpa
13.2.135.in-addr.arpa
14.2.135.in-addr.arpa
15.2.135.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000111.00000010.00000000.00000000135.2.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10000111.00000010.00000000.00000000135.2.0.0
Broadcast10000111.00000010.00111111.11111111135.2.63.255
Split into smaller subnets/30

135.2.0.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1135.2.0.0/30135.2.0.1 to 135.2.0.2135.2.0.32
2135.2.0.4/30135.2.0.5 to 135.2.0.6135.2.0.72
3135.2.0.8/30135.2.0.9 to 135.2.0.10135.2.0.112
4135.2.0.12/30135.2.0.13 to 135.2.0.14135.2.0.152
5135.2.0.16/30135.2.0.17 to 135.2.0.18135.2.0.192
6135.2.0.20/30135.2.0.21 to 135.2.0.22135.2.0.232
7135.2.0.24/30135.2.0.25 to 135.2.0.26135.2.0.272
8135.2.0.28/30135.2.0.29 to 135.2.0.30135.2.0.312
9135.2.0.32/30135.2.0.33 to 135.2.0.34135.2.0.352
10135.2.0.36/30135.2.0.37 to 135.2.0.38135.2.0.392
11135.2.0.40/30135.2.0.41 to 135.2.0.42135.2.0.432
12135.2.0.44/30135.2.0.45 to 135.2.0.46135.2.0.472
13135.2.0.48/30135.2.0.49 to 135.2.0.50135.2.0.512
14135.2.0.52/30135.2.0.53 to 135.2.0.54135.2.0.552
15135.2.0.56/30135.2.0.57 to 135.2.0.58135.2.0.592
16135.2.0.60/30135.2.0.61 to 135.2.0.62135.2.0.632
17135.2.0.64/30135.2.0.65 to 135.2.0.66135.2.0.672
18135.2.0.68/30135.2.0.69 to 135.2.0.70135.2.0.712
19135.2.0.72/30135.2.0.73 to 135.2.0.74135.2.0.752
20135.2.0.76/30135.2.0.77 to 135.2.0.78135.2.0.792
21135.2.0.80/30135.2.0.81 to 135.2.0.82135.2.0.832
22135.2.0.84/30135.2.0.85 to 135.2.0.86135.2.0.872
23135.2.0.88/30135.2.0.89 to 135.2.0.90135.2.0.912
24135.2.0.92/30135.2.0.93 to 135.2.0.94135.2.0.952
25135.2.0.96/30135.2.0.97 to 135.2.0.98135.2.0.992
26135.2.0.100/30135.2.0.101 to 135.2.0.102135.2.0.1032
27135.2.0.104/30135.2.0.105 to 135.2.0.106135.2.0.1072
28135.2.0.108/30135.2.0.109 to 135.2.0.110135.2.0.1112
29135.2.0.112/30135.2.0.113 to 135.2.0.114135.2.0.1152
30135.2.0.116/30135.2.0.117 to 135.2.0.118135.2.0.1192
31135.2.0.120/30135.2.0.121 to 135.2.0.122135.2.0.1232
32135.2.0.124/30135.2.0.125 to 135.2.0.126135.2.0.1272
33135.2.0.128/30135.2.0.129 to 135.2.0.130135.2.0.1312
34135.2.0.132/30135.2.0.133 to 135.2.0.134135.2.0.1352
35135.2.0.136/30135.2.0.137 to 135.2.0.138135.2.0.1392
36135.2.0.140/30135.2.0.141 to 135.2.0.142135.2.0.1432
37135.2.0.144/30135.2.0.145 to 135.2.0.146135.2.0.1472
38135.2.0.148/30135.2.0.149 to 135.2.0.150135.2.0.1512
39135.2.0.152/30135.2.0.153 to 135.2.0.154135.2.0.1552
40135.2.0.156/30135.2.0.157 to 135.2.0.158135.2.0.1592
41135.2.0.160/30135.2.0.161 to 135.2.0.162135.2.0.1632
42135.2.0.164/30135.2.0.165 to 135.2.0.166135.2.0.1672
43135.2.0.168/30135.2.0.169 to 135.2.0.170135.2.0.1712
44135.2.0.172/30135.2.0.173 to 135.2.0.174135.2.0.1752
45135.2.0.176/30135.2.0.177 to 135.2.0.178135.2.0.1792
46135.2.0.180/30135.2.0.181 to 135.2.0.182135.2.0.1832
47135.2.0.184/30135.2.0.185 to 135.2.0.186135.2.0.1872
48135.2.0.188/30135.2.0.189 to 135.2.0.190135.2.0.1912
49135.2.0.192/30135.2.0.193 to 135.2.0.194135.2.0.1952
50135.2.0.196/30135.2.0.197 to 135.2.0.198135.2.0.1992
51135.2.0.200/30135.2.0.201 to 135.2.0.202135.2.0.2032
52135.2.0.204/30135.2.0.205 to 135.2.0.206135.2.0.2072
53135.2.0.208/30135.2.0.209 to 135.2.0.210135.2.0.2112
54135.2.0.212/30135.2.0.213 to 135.2.0.214135.2.0.2152
55135.2.0.216/30135.2.0.217 to 135.2.0.218135.2.0.2192
56135.2.0.220/30135.2.0.221 to 135.2.0.222135.2.0.2232
57135.2.0.224/30135.2.0.225 to 135.2.0.226135.2.0.2272
58135.2.0.228/30135.2.0.229 to 135.2.0.230135.2.0.2312
59135.2.0.232/30135.2.0.233 to 135.2.0.234135.2.0.2352
60135.2.0.236/30135.2.0.237 to 135.2.0.238135.2.0.2392
61135.2.0.240/30135.2.0.241 to 135.2.0.242135.2.0.2432
62135.2.0.244/30135.2.0.245 to 135.2.0.246135.2.0.2472
63135.2.0.248/30135.2.0.249 to 135.2.0.250135.2.0.2512
64135.2.0.252/30135.2.0.253 to 135.2.0.254135.2.0.2552
65135.2.1.0/30135.2.1.1 to 135.2.1.2135.2.1.32
66135.2.1.4/30135.2.1.5 to 135.2.1.6135.2.1.72
67135.2.1.8/30135.2.1.9 to 135.2.1.10135.2.1.112
68135.2.1.12/30135.2.1.13 to 135.2.1.14135.2.1.152
69135.2.1.16/30135.2.1.17 to 135.2.1.18135.2.1.192
70135.2.1.20/30135.2.1.21 to 135.2.1.22135.2.1.232
71135.2.1.24/30135.2.1.25 to 135.2.1.26135.2.1.272
72135.2.1.28/30135.2.1.29 to 135.2.1.30135.2.1.312
73135.2.1.32/30135.2.1.33 to 135.2.1.34135.2.1.352
74135.2.1.36/30135.2.1.37 to 135.2.1.38135.2.1.392
75135.2.1.40/30135.2.1.41 to 135.2.1.42135.2.1.432
76135.2.1.44/30135.2.1.45 to 135.2.1.46135.2.1.472
77135.2.1.48/30135.2.1.49 to 135.2.1.50135.2.1.512
78135.2.1.52/30135.2.1.53 to 135.2.1.54135.2.1.552
79135.2.1.56/30135.2.1.57 to 135.2.1.58135.2.1.592
80135.2.1.60/30135.2.1.61 to 135.2.1.62135.2.1.632
81135.2.1.64/30135.2.1.65 to 135.2.1.66135.2.1.672
82135.2.1.68/30135.2.1.69 to 135.2.1.70135.2.1.712
83135.2.1.72/30135.2.1.73 to 135.2.1.74135.2.1.752
84135.2.1.76/30135.2.1.77 to 135.2.1.78135.2.1.792
85135.2.1.80/30135.2.1.81 to 135.2.1.82135.2.1.832
86135.2.1.84/30135.2.1.85 to 135.2.1.86135.2.1.872
87135.2.1.88/30135.2.1.89 to 135.2.1.90135.2.1.912
88135.2.1.92/30135.2.1.93 to 135.2.1.94135.2.1.952
89135.2.1.96/30135.2.1.97 to 135.2.1.98135.2.1.992
90135.2.1.100/30135.2.1.101 to 135.2.1.102135.2.1.1032
91135.2.1.104/30135.2.1.105 to 135.2.1.106135.2.1.1072
92135.2.1.108/30135.2.1.109 to 135.2.1.110135.2.1.1112
93135.2.1.112/30135.2.1.113 to 135.2.1.114135.2.1.1152
94135.2.1.116/30135.2.1.117 to 135.2.1.118135.2.1.1192
95135.2.1.120/30135.2.1.121 to 135.2.1.122135.2.1.1232
96135.2.1.124/30135.2.1.125 to 135.2.1.126135.2.1.1272
97135.2.1.128/30135.2.1.129 to 135.2.1.130135.2.1.1312
98135.2.1.132/30135.2.1.133 to 135.2.1.134135.2.1.1352
99135.2.1.136/30135.2.1.137 to 135.2.1.138135.2.1.1392
100135.2.1.140/30135.2.1.141 to 135.2.1.142135.2.1.1432
101135.2.1.144/30135.2.1.145 to 135.2.1.146135.2.1.1472
102135.2.1.148/30135.2.1.149 to 135.2.1.150135.2.1.1512
103135.2.1.152/30135.2.1.153 to 135.2.1.154135.2.1.1552
104135.2.1.156/30135.2.1.157 to 135.2.1.158135.2.1.1592
105135.2.1.160/30135.2.1.161 to 135.2.1.162135.2.1.1632
106135.2.1.164/30135.2.1.165 to 135.2.1.166135.2.1.1672
107135.2.1.168/30135.2.1.169 to 135.2.1.170135.2.1.1712
108135.2.1.172/30135.2.1.173 to 135.2.1.174135.2.1.1752
109135.2.1.176/30135.2.1.177 to 135.2.1.178135.2.1.1792
110135.2.1.180/30135.2.1.181 to 135.2.1.182135.2.1.1832
111135.2.1.184/30135.2.1.185 to 135.2.1.186135.2.1.1872
112135.2.1.188/30135.2.1.189 to 135.2.1.190135.2.1.1912
113135.2.1.192/30135.2.1.193 to 135.2.1.194135.2.1.1952
114135.2.1.196/30135.2.1.197 to 135.2.1.198135.2.1.1992
115135.2.1.200/30135.2.1.201 to 135.2.1.202135.2.1.2032
116135.2.1.204/30135.2.1.205 to 135.2.1.206135.2.1.2072
117135.2.1.208/30135.2.1.209 to 135.2.1.210135.2.1.2112
118135.2.1.212/30135.2.1.213 to 135.2.1.214135.2.1.2152
119135.2.1.216/30135.2.1.217 to 135.2.1.218135.2.1.2192
120135.2.1.220/30135.2.1.221 to 135.2.1.222135.2.1.2232
121135.2.1.224/30135.2.1.225 to 135.2.1.226135.2.1.2272
122135.2.1.228/30135.2.1.229 to 135.2.1.230135.2.1.2312
123135.2.1.232/30135.2.1.233 to 135.2.1.234135.2.1.2352
124135.2.1.236/30135.2.1.237 to 135.2.1.238135.2.1.2392
125135.2.1.240/30135.2.1.241 to 135.2.1.242135.2.1.2432
126135.2.1.244/30135.2.1.245 to 135.2.1.246135.2.1.2472
127135.2.1.248/30135.2.1.249 to 135.2.1.250135.2.1.2512
128135.2.1.252/30135.2.1.253 to 135.2.1.254135.2.1.2552
129135.2.2.0/30135.2.2.1 to 135.2.2.2135.2.2.32
130135.2.2.4/30135.2.2.5 to 135.2.2.6135.2.2.72
131135.2.2.8/30135.2.2.9 to 135.2.2.10135.2.2.112
132135.2.2.12/30135.2.2.13 to 135.2.2.14135.2.2.152
133135.2.2.16/30135.2.2.17 to 135.2.2.18135.2.2.192
134135.2.2.20/30135.2.2.21 to 135.2.2.22135.2.2.232
135135.2.2.24/30135.2.2.25 to 135.2.2.26135.2.2.272
136135.2.2.28/30135.2.2.29 to 135.2.2.30135.2.2.312
137135.2.2.32/30135.2.2.33 to 135.2.2.34135.2.2.352
138135.2.2.36/30135.2.2.37 to 135.2.2.38135.2.2.392
139135.2.2.40/30135.2.2.41 to 135.2.2.42135.2.2.432
140135.2.2.44/30135.2.2.45 to 135.2.2.46135.2.2.472
141135.2.2.48/30135.2.2.49 to 135.2.2.50135.2.2.512
142135.2.2.52/30135.2.2.53 to 135.2.2.54135.2.2.552
143135.2.2.56/30135.2.2.57 to 135.2.2.58135.2.2.592
144135.2.2.60/30135.2.2.61 to 135.2.2.62135.2.2.632
145135.2.2.64/30135.2.2.65 to 135.2.2.66135.2.2.672
146135.2.2.68/30135.2.2.69 to 135.2.2.70135.2.2.712
147135.2.2.72/30135.2.2.73 to 135.2.2.74135.2.2.752
148135.2.2.76/30135.2.2.77 to 135.2.2.78135.2.2.792
149135.2.2.80/30135.2.2.81 to 135.2.2.82135.2.2.832
150135.2.2.84/30135.2.2.85 to 135.2.2.86135.2.2.872
151135.2.2.88/30135.2.2.89 to 135.2.2.90135.2.2.912
152135.2.2.92/30135.2.2.93 to 135.2.2.94135.2.2.952
153135.2.2.96/30135.2.2.97 to 135.2.2.98135.2.2.992
154135.2.2.100/30135.2.2.101 to 135.2.2.102135.2.2.1032
155135.2.2.104/30135.2.2.105 to 135.2.2.106135.2.2.1072
156135.2.2.108/30135.2.2.109 to 135.2.2.110135.2.2.1112
157135.2.2.112/30135.2.2.113 to 135.2.2.114135.2.2.1152
158135.2.2.116/30135.2.2.117 to 135.2.2.118135.2.2.1192
159135.2.2.120/30135.2.2.121 to 135.2.2.122135.2.2.1232
160135.2.2.124/30135.2.2.125 to 135.2.2.126135.2.2.1272
161135.2.2.128/30135.2.2.129 to 135.2.2.130135.2.2.1312
162135.2.2.132/30135.2.2.133 to 135.2.2.134135.2.2.1352
163135.2.2.136/30135.2.2.137 to 135.2.2.138135.2.2.1392
164135.2.2.140/30135.2.2.141 to 135.2.2.142135.2.2.1432
165135.2.2.144/30135.2.2.145 to 135.2.2.146135.2.2.1472
166135.2.2.148/30135.2.2.149 to 135.2.2.150135.2.2.1512
167135.2.2.152/30135.2.2.153 to 135.2.2.154135.2.2.1552
168135.2.2.156/30135.2.2.157 to 135.2.2.158135.2.2.1592
169135.2.2.160/30135.2.2.161 to 135.2.2.162135.2.2.1632
170135.2.2.164/30135.2.2.165 to 135.2.2.166135.2.2.1672
171135.2.2.168/30135.2.2.169 to 135.2.2.170135.2.2.1712
172135.2.2.172/30135.2.2.173 to 135.2.2.174135.2.2.1752
173135.2.2.176/30135.2.2.177 to 135.2.2.178135.2.2.1792
174135.2.2.180/30135.2.2.181 to 135.2.2.182135.2.2.1832
175135.2.2.184/30135.2.2.185 to 135.2.2.186135.2.2.1872
176135.2.2.188/30135.2.2.189 to 135.2.2.190135.2.2.1912
177135.2.2.192/30135.2.2.193 to 135.2.2.194135.2.2.1952
178135.2.2.196/30135.2.2.197 to 135.2.2.198135.2.2.1992
179135.2.2.200/30135.2.2.201 to 135.2.2.202135.2.2.2032
180135.2.2.204/30135.2.2.205 to 135.2.2.206135.2.2.2072
181135.2.2.208/30135.2.2.209 to 135.2.2.210135.2.2.2112
182135.2.2.212/30135.2.2.213 to 135.2.2.214135.2.2.2152
183135.2.2.216/30135.2.2.217 to 135.2.2.218135.2.2.2192
184135.2.2.220/30135.2.2.221 to 135.2.2.222135.2.2.2232
185135.2.2.224/30135.2.2.225 to 135.2.2.226135.2.2.2272
186135.2.2.228/30135.2.2.229 to 135.2.2.230135.2.2.2312
187135.2.2.232/30135.2.2.233 to 135.2.2.234135.2.2.2352
188135.2.2.236/30135.2.2.237 to 135.2.2.238135.2.2.2392
189135.2.2.240/30135.2.2.241 to 135.2.2.242135.2.2.2432
190135.2.2.244/30135.2.2.245 to 135.2.2.246135.2.2.2472
191135.2.2.248/30135.2.2.249 to 135.2.2.250135.2.2.2512
192135.2.2.252/30135.2.2.253 to 135.2.2.254135.2.2.2552
193135.2.3.0/30135.2.3.1 to 135.2.3.2135.2.3.32
194135.2.3.4/30135.2.3.5 to 135.2.3.6135.2.3.72
195135.2.3.8/30135.2.3.9 to 135.2.3.10135.2.3.112
196135.2.3.12/30135.2.3.13 to 135.2.3.14135.2.3.152
197135.2.3.16/30135.2.3.17 to 135.2.3.18135.2.3.192
198135.2.3.20/30135.2.3.21 to 135.2.3.22135.2.3.232
199135.2.3.24/30135.2.3.25 to 135.2.3.26135.2.3.272
200135.2.3.28/30135.2.3.29 to 135.2.3.30135.2.3.312
201135.2.3.32/30135.2.3.33 to 135.2.3.34135.2.3.352
202135.2.3.36/30135.2.3.37 to 135.2.3.38135.2.3.392
203135.2.3.40/30135.2.3.41 to 135.2.3.42135.2.3.432
204135.2.3.44/30135.2.3.45 to 135.2.3.46135.2.3.472
205135.2.3.48/30135.2.3.49 to 135.2.3.50135.2.3.512
206135.2.3.52/30135.2.3.53 to 135.2.3.54135.2.3.552
207135.2.3.56/30135.2.3.57 to 135.2.3.58135.2.3.592
208135.2.3.60/30135.2.3.61 to 135.2.3.62135.2.3.632
209135.2.3.64/30135.2.3.65 to 135.2.3.66135.2.3.672
210135.2.3.68/30135.2.3.69 to 135.2.3.70135.2.3.712
211135.2.3.72/30135.2.3.73 to 135.2.3.74135.2.3.752
212135.2.3.76/30135.2.3.77 to 135.2.3.78135.2.3.792
213135.2.3.80/30135.2.3.81 to 135.2.3.82135.2.3.832
214135.2.3.84/30135.2.3.85 to 135.2.3.86135.2.3.872
215135.2.3.88/30135.2.3.89 to 135.2.3.90135.2.3.912
216135.2.3.92/30135.2.3.93 to 135.2.3.94135.2.3.952
217135.2.3.96/30135.2.3.97 to 135.2.3.98135.2.3.992
218135.2.3.100/30135.2.3.101 to 135.2.3.102135.2.3.1032
219135.2.3.104/30135.2.3.105 to 135.2.3.106135.2.3.1072
220135.2.3.108/30135.2.3.109 to 135.2.3.110135.2.3.1112
221135.2.3.112/30135.2.3.113 to 135.2.3.114135.2.3.1152
222135.2.3.116/30135.2.3.117 to 135.2.3.118135.2.3.1192
223135.2.3.120/30135.2.3.121 to 135.2.3.122135.2.3.1232
224135.2.3.124/30135.2.3.125 to 135.2.3.126135.2.3.1272
225135.2.3.128/30135.2.3.129 to 135.2.3.130135.2.3.1312
226135.2.3.132/30135.2.3.133 to 135.2.3.134135.2.3.1352
227135.2.3.136/30135.2.3.137 to 135.2.3.138135.2.3.1392
228135.2.3.140/30135.2.3.141 to 135.2.3.142135.2.3.1432
229135.2.3.144/30135.2.3.145 to 135.2.3.146135.2.3.1472
230135.2.3.148/30135.2.3.149 to 135.2.3.150135.2.3.1512
231135.2.3.152/30135.2.3.153 to 135.2.3.154135.2.3.1552
232135.2.3.156/30135.2.3.157 to 135.2.3.158135.2.3.1592
233135.2.3.160/30135.2.3.161 to 135.2.3.162135.2.3.1632
234135.2.3.164/30135.2.3.165 to 135.2.3.166135.2.3.1672
235135.2.3.168/30135.2.3.169 to 135.2.3.170135.2.3.1712
236135.2.3.172/30135.2.3.173 to 135.2.3.174135.2.3.1752
237135.2.3.176/30135.2.3.177 to 135.2.3.178135.2.3.1792
238135.2.3.180/30135.2.3.181 to 135.2.3.182135.2.3.1832
239135.2.3.184/30135.2.3.185 to 135.2.3.186135.2.3.1872
240135.2.3.188/30135.2.3.189 to 135.2.3.190135.2.3.1912
241135.2.3.192/30135.2.3.193 to 135.2.3.194135.2.3.1952
242135.2.3.196/30135.2.3.197 to 135.2.3.198135.2.3.1992
243135.2.3.200/30135.2.3.201 to 135.2.3.202135.2.3.2032
244135.2.3.204/30135.2.3.205 to 135.2.3.206135.2.3.2072
245135.2.3.208/30135.2.3.209 to 135.2.3.210135.2.3.2112
246135.2.3.212/30135.2.3.213 to 135.2.3.214135.2.3.2152
247135.2.3.216/30135.2.3.217 to 135.2.3.218135.2.3.2192
248135.2.3.220/30135.2.3.221 to 135.2.3.222135.2.3.2232
249135.2.3.224/30135.2.3.225 to 135.2.3.226135.2.3.2272
250135.2.3.228/30135.2.3.229 to 135.2.3.230135.2.3.2312
251135.2.3.232/30135.2.3.233 to 135.2.3.234135.2.3.2352
252135.2.3.236/30135.2.3.237 to 135.2.3.238135.2.3.2392
253135.2.3.240/30135.2.3.241 to 135.2.3.242135.2.3.2432
254135.2.3.244/30135.2.3.245 to 135.2.3.246135.2.3.2472
255135.2.3.248/30135.2.3.249 to 135.2.3.250135.2.3.2512
256135.2.3.252/30135.2.3.253 to 135.2.3.254135.2.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses